%define name	sqlite
%define version	2.8.6
%define release	1mdk

%define	major 0
%define libname	%mklibname %{name} %{major}

Summary:	SQLite is a C library that implements an embeddable SQL database engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		System/Libraries
URL:		http://www.hwaci.com/sw/sqlite/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-2.8.4-DESTDIR.patch.bz2
BuildRequires:	chrpath
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	tcl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

%package -n	%{libname}
Summary:	SQLite is a C library that implements an embeddable SQL database engine
Group:          System/Libraries

%description -n	%{libname}
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the shared libraries for %{name}

%package -n	%{libname}-devel
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel
Provides:	%{name}-devel

%description -n	%{libname}-devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library and its header
files.

%package -n	%{libname}-static-devel
Summary:	Static development library for the %{name} library
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains the static %{libname} library.

%package	tools
Summary:	Command line tools for managing the %{libname} library.
Group:		Databases
Requires:	%{libname} = %{version}-%{release}
#Requires:	libncurses5
#Requires:	readline

%description	tools
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process. The
distribution comes with a standalone command-line access program
(sqlite) that can be used to administer an SQLite database and
which serves as an example of how to use the SQLite library.

This package contains command line tools for managing the
%{libname} library.


%prep
%setup -q -n %{name}
%patch0 -p0 -b .DESTDIR

%build
%serverbuild

export CFLAGS="${CFLAGS:-%optflags} -DNDEBUG=1"
export CXXFLAGS="${CXXFLAGS:-%optflags} -DNDEBUG=1"
export FFLAGS="${FFLAGS:-%optflags} -DNDEBUG=1"

%configure2_5x \
    --enable-utf8

%make
make doc

# make test fails at "File size limit exceeded" on klama

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std

install -m644 sqlite.1 %{buildroot}%{_mandir}/man1/

chrpath -d %{buildroot}%{_bindir}/*

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files -n	%{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n	%{libname}-devel
%defattr(-,root,root)
%doc doc/*.html doc/*.png
%{_includedir}/*.h
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files -n	%{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%files		tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.8.6-1mdk
- 2.8.6
- misc spec file fixes

* Sun Aug 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.8.5-1mdk
- 2.8.5
- added spec file changes by Luca Berra

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.8.4-2mdk
- rebuild

* Mon Jun 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.8.4-1mdk
- initial cooker contrib
